DualRTPChannel< BaseSocket >(3)

NAME
DualRTPChannel< BaseSocket >

SYNOPSIS

#include <channel.h>

  Public Member Functions

DualRTPChannel (const InetAddress &ia, tpport_t port)
~DualRTPChannel ()
bool isPendingRecv (microtimeout_t timeout) const
InetHostAddress getSender (tpport_t &port) const
size_t recv (unsigned char *buffer, size_t len)
size_t getNextPacketSize () const
Socket::Error setMulticast (bool enable)
Socket::Error join (const InetMcastAddress &ia, uint32 iface)
Socket::Error drop (const InetMcastAddress &ia)
Socket::Error setTimeToLive (unsigned char ttl)
void setPeer (const InetAddress &host, tpport_t port)
size_t send (const unsigned char *const buffer, size_t len)
SOCKET getRecvSocket () const
void endSocket ()

Constructor & Destructor Documentation

  template<class BaseSocket> DualRTPChannel< BaseSocket >::DualRTPChannel (const InetAddress & ia, tpport_t port) [inline]

  template<class BaseSocket> DualRTPChannel< BaseSocket >::~DualRTPChannel () [inline]

Member Function Documentation

  template<class BaseSocket> Socket::Error DualRTPChannel< BaseSocket >::drop (const InetMcastAddress & ia) [inline]

  template<class BaseSocket> void DualRTPChannel< BaseSocket >::endSocket () [inline]

  template<class BaseSocket> size_t DualRTPChannel< BaseSocket >::getNextPacketSize () const [inline]

  template<class BaseSocket> SOCKET DualRTPChannel< BaseSocket >::getRecvSocket () const [inline]

  template<class BaseSocket> InetHostAddress DualRTPChannel< BaseSocket >::getSender (tpport_t & port) const [inline]

  template<class BaseSocket> bool DualRTPChannel< BaseSocket >::isPendingRecv (microtimeout_t timeout) const [inline]

  template<class BaseSocket> Socket::Error DualRTPChannel< BaseSocket >::join (const InetMcastAddress & ia, uint32 iface) [inline]

  template<class BaseSocket> size_t DualRTPChannel< BaseSocket >::recv (unsigned char * buffer, size_t len) [inline]

  template<class BaseSocket> size_t DualRTPChannel< BaseSocket >::send (const unsigned char *const buffer, size_t len) [inline]

  template<class BaseSocket> Socket::Error DualRTPChannel< BaseSocket >::setMulticast (bool enable) [inline]

  template<class BaseSocket> void DualRTPChannel< BaseSocket >::setPeer (const InetAddress & host, tpport_t port) [inline]

  template<class BaseSocket> Socket::Error DualRTPChannel< BaseSocket >::setTimeToLive (unsigned char ttl) [inline]

Author

Generated automatically by Doxygen for ccRTP from the source code.